-- ----------------------------------------------------------------------------
-- Copyright (C) 2012 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Thai TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Narisa"
language = "Thai"
marc_code = "tha"
language_id = "33"
id = "33002"
config_file = "thai_tts/config_tts.lua"
audio_files_path = "thai_tts/thai_tts"
rulesets_file = "thai_tts/thai_tts/rulesets_THT.txt"
userdictionary_file = "thai_tts/thai_tts/udct_tht.dat"
apdb = "apdb/narisa/nm"
audio_files_version = "0.2.0.2012021301"
client_range = "[client >= 1.3.18.0 ; client < 1.4.6.0 ]"

maneuver_check_car = {
    ["END"] = "คุณจะไปถึงจุดหมายของคุณ",                                  -- You will reach your destination
    ["STOPOVER"] = "คุณจะถึงจุดพักรถ",                                   -- You will reach a stopover
    ["JUNCTION"] = nil,                                           -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                      -- the junction
    ["ROUNDABOUT"] = "ที่วงเวียน",                                     -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "ที่วงเวียนออกทางออกแรก",                       -- take the exit
    ["UTURN"] = "กลับรถ",                                           -- Make a uturn
    ["ENTER_HIGHWAY"] = "เข้าสู่มอเตอร์เวย์",
    ["LEAVE_HIGHWAY"] = "ออกทางออก",                                -- take the exit
    ["CONTINUE_HIGHWAY"] = "ออกทางออก",                             -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "เข้าสู่ทางด่วน",
    ["LEAVE_URBAN_HIGHWAY"] = "ออกทางออก",                         -- take the exit        
    ["CONTINUE_URBAN_HIGHWAY"] = "ออกทางออก",
    ["DRIVE_TO_NEAREST_ROAD"] = "ขับไปยังถนนที่ใกล้ที่สุด",                   -- drive to nearest road 
    ["FERRY"] = "ลงเรือข้ามฟาก"
}

maneuver_check_pedestrian = {
    ["END"] = "คุณจะไปถึงจุดหมายของคุณ",                                  -- You will reach your destination
    ["STOPOVER"] = "คุณจะถึงจุดพัก",                                    -- You will reach a stopover
    ["JUNCTION"] = nil,                                           -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                      -- the junction
    ["ROUNDABOUT"] = "ที่วงเวียน",                                     -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "ที่วงเวียนออกทางออกแรก",                       -- take the exit
    ["UTURN"] = "กลับรถ",                                           -- Make a uturn
    ["ENTER_HIGHWAY"] = "เข้าสู่มอเตอร์เวย์",
    ["LEAVE_HIGHWAY"] = "ออกทางออก",                                -- take the exit
    ["CONTINUE_HIGHWAY"] = "ออกทางออก",                             -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "เข้าสู่ทางด่วน",
    ["LEAVE_URBAN_HIGHWAY"] = "ออกทางออก",                         -- take the exit        
    ["CONTINUE_URBAN_HIGHWAY"] = "ออกทางออก",
    ["DRIVE_TO_NEAREST_ROAD"] = "ไปทางทิศตะวันตก",                   -- drive to nearest road 
    ["FERRY"] = "ลงเรือข้ามฟาก"
}

maneuver_turns_car = {
    ["NO_TURN"] = "ตรงไปข้างหน้า",
    ["KEEP_MIDDLE"] = "ตอนนี้ให้อยู่เลนขวา",
    ["KEEP_RIGHT"] = "ชิดขวา",
    ["LIGHT_RIGHT"] = "เบี่ยงขวา",
    ["QUITE_RIGHT"] = "เลี้ยวขวา",
    ["HEAVY_RIGHT"] = "เลี้ยวขวาหักศอก",
    ["RETURN"] = "กลับรถ",
    ["HEAVY_LEFT"] = "เลี้ยวซ้ายหักศอก",
    ["QUITE_LEFT"] = "เลี้ยวซ้าย",
    ["LIGHT_LEFT"] = "เบี่ยงซ้าย",
    ["KEEP_LEFT"] = "ชิดซ้าย",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "เดินตรงไปข้างหน้า",
    ["KEEP_MIDDLE"] = "ไปทางทิศตะวันออกเฉียงเหนือ",
    ["KEEP_RIGHT"] = "เลี้ยวเข้าถนนทางขวามือ",
    ["LIGHT_RIGHT"] = "เบี่ยงขวา",
    ["QUITE_RIGHT"] = "เลี้ยวขวา",
    ["HEAVY_RIGHT"] = "เลี้ยวขวาหักศอก",
    ["RETURN"] = "กลับรถ",
    ["HEAVY_LEFT"] = "เลี้ยวซ้ายหักศอก",
    ["QUITE_LEFT"] = "เลี้ยวซ้าย",
    ["LIGHT_LEFT"] = "เบี่ยงซ้ายที่",
    ["KEEP_LEFT"] = "เลี้ยวเข้าถนนทางซ้ายมือ",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "ตรงผ่านอาคารไป",
    ["SQUARE"] = "ผ่านจตุรัส",
    ["PARK"] = "ผ่านสวนสาธารณะ",
    ["STAIRS"] = "ให้ใช้บันได",
    ["ELEVATOR"] = "ลิฟต์",
    ["ESCALATOR"] = "บันไดเลื่อน"
}

final_command_car = {
    ["END"] = "คุณได้มาถึงจุดหมายของคุณแล้ว",                  -- You have reached your destination
    ["STOPOVER"] = "คุณได้มาถึงจุดพักรถแล้ว"                   -- You have reached a stopover
}

final_command_pedestrian = {
    ["END"] = "คุณได้มาถึงจุดหมายของคุณแล้ว",                  -- You have reached your destination
    ["STOPOVER"] = "คุณได้มาถึงจุดพักแล้ว"                  -- You have reached a stopover
}

exit_number_check = {
    [1] = {"ออกทางออกแรก", "เลี้ยวที่ถนนแรก"},                      -- take the first exit
    [2] = {"ออกทางออกที่สอง", "เลี้ยวที่ ถนนที่สอง"},           -- take the second exit
    [3] = {"ออกทางออกที่สาม", "เลี้ยวที่ถนนที่สาม"},                   -- take the third exit
    [4] = {"ออกทางออกที่สี่", "เลี้ยวที่ถนนที่สี่"},                -- take the fourth exit
    [5] = {"ออกทางออกที่ห้า", "เลี้ยวที่ถนนที่ห้า"},                      -- take the fifth exit
    [6] = {"ออกทางออกที่หก", "เลี้ยวที่ถนนที่หก"},                  -- take the sixth exit
    [7] = {"ออกทางออกที่เจ็ด", "ออกทางออกที่เจ็ด"},          -- take the seventh exit
    [8] = {"ออกทางออกที่แปด", "ออกทางออกที่แปด"},              -- take the eighth exit
    [9] = {"ออกทางออกที่เก้า", "ออกทางออกที่เก้า"},                  -- take the ninth exit
    [10] = {"ออกทางออกที่สิบ", "ออกทางออกที่สิบ"},                -- take the tenth exit
    [11] = {"ออกทางออกที่สิบเอ็ด", "ออกทางออกที่สิบเอ็ด"},       -- take the eleventh exit
    [12] = {"ออกทางออกที่สิบสอง", "ออกทางออกที่สิบสอง"}             -- take the twelfth exit
}

distances = {
    [50] = " 50 ",   -- Note: there is a space after and before numbers. Specific Korean issue
    [100] = " 100 ",
    [150] = " 150 ",
    [200] = " 200 ",
    [250] = " 250 ",
    [300] = " 300 ",
    [400] = " 400 ",
    [500] = " 500 ",
    [600] = " 600 ",
    [700] = " 700 ",
    [800] = " 800 ",
    [900] = " 900 ",
    [1] = " 1 ",
    [2] = " 2 ",
    [3] = " 3 ",
    [4] = " 4 ",
    [5] = " 5 ",
    [6] = " 6 ",
    [7] = " 7 ",
    [8] = " 8 ",
    [9] = " 9 ",
    [10] = " 10 "
}

unit = {                        
    ["MILE"] = "ไมล์",
    ["YARDS"] = "หลา",
    ["KILOMETER"] = "กิโลเมตร",
    ["METERS"] = "เมตร",
    ["METER"] = "มตร",
    ["KILOMETERS"] = "กิโลเมตร",
    ["MILES"] = "ไมล์",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "ทิศเหนือ",
    ["NORTH_EAST"] = "ทิศตะวันออกเฉียงเหนือ",
    ["EAST"] = "ทิศตะวันออก",
    ["SOUTH_EAST"] = "ทิศตะวันออกเฉียงใต้",
    ["SOUTH"] = "ทิศใต้",
    ["SOUTH_WEST"] = "ทิศตะวันตกเฉียงใต้",
    ["WEST"] = "ทิศตะวันตก",
    ["NORTH_WEST"] = "ทิศตะวันตกเฉียงเหนือ"
}

misc = { 
    ["gps_signal_lost_wav"] = "สัญญาณจีพีเอสหาย",
    ["gps_signal_restored_wav"] = "กลับสู่การเชื่อมต่อจีพีเอส",
 --   ["no_gps_signal_wav"] = "ไม่มีการเชื่อมต่อจีพีเอส",
    ["route_recalculation_wav"] = "คำนวณเส้นทางใหม่",
    ["now_wav"] = "ตอนนี้",
    ["end_of_street_wav"] = "ที่ปลายถนน",
    ["follow_motorway_wav"] = "ไปตามถนน",
    ["follow_road_wav"] = "ไปตามทางถนน",
    ["for_wav"] = nil,
    ["after_wav"] = "อีก",
    ["after_the_junction_wav"] = "หลังจากทางแยก ",-- Note: there is a space after "after the junction ". Specific Korean issue
    ["half_a_mile_wav"] = "ครึ่งไมล์",
    ["quarter_a_mile_wav"] = "หนึ่งส่วนสี่ของไมล์",
    ["immediately_wav"] = "ทันที",
    ["safety_camara_ahead_wav"] = "มีกล้องตรวจจับข้างหน้า",
    ["over_speed_limit_wav"] = "สังเกตป้ายจำกัดความเร็ว",
    ["traffic_automatic_detour_wav"] = "มีการจราจรติดขัดข้างหน้า กำลังเปลี่ยนเส้นทาง",
    ["traffic_manual_detour_wav"] = "มีการจราจรติดขัดข้างหน้า คุณต้องการเปลี่ยนเส้นทาง",
    ["no_detour_possible"] = "ไม่พบเส้นทางอื่นในบริเวณที่รถติด",
    ["and_wav"] = "แล้ว",
    ["and_then_wav"] = " แล้ว", -- Note: there is a space before "and then ". Specific Thai issue
    ["and_continue_on_wav"] = "แล้วไปตาม",
    ["towards_wav"] = "ไปทาง",
    ["turn_wav"] = "เลี้ยว",
    ["onto_wav"] = "ไปที่",
    ["exit_wav"] = "ออกทางออก",
    ["second_right_wav"] = "เลี้ยวขวาที่สอง",
    ["second_left_wav"] = "เลี้ยวซ้ายที่สอง",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "เดินไปทางซ้ายของวงเวียน",
    ["walk_right_roundabout_wav"] = "เดินไปทางขวาของวงเวียน",
    ["walk_roundabout_wav"] = "เดินอ้อมวงเวียน",
    ["head_wav"] = "ไปทาง",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "ที่ ",
    ["on_ped_wav"] = " ", -- There should be one space between the words and street names
    ["space"] = " ",      -- There should be one space before and after the numbers
    ["onto_the_footpath_wav"] = "ไปบนทางเดิน"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


